/*
 * Copyright (C) 2003-2005 Christian Siefkes <christian@siefkes.net>
 * Parts of this code are Copyright (C) 2001-2002 by MUNDWERK AG.
 * Re-released under GNU GPL with permission of MUNDWERK AG.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
package net.siefkes.nlstego.predict;

import java.io.Serializable;

/**
 * A simple wrapper for the data representing an item
 * in a compact way. <p>
 * Created (23.10.2001 12:08:52).<p>
 *
 * @author Christian Siefkes
 * @version $Revision: 1.5 $, $Date: 2005/07/12 17:02:17 $, $Author: siefkes $
 */
final class FetchStatsKey implements Serializable {

    /**
     * The integer representation of this key. <p>
     * Created (23.10.2001 12:12:22) by Christian Siefkes.<p>
     */
    private final int representation;

/**
 * Creates a new instance. <p>
 * Created (18.09.2001 15:27:38) by Christian Siefkes.<p>
 *
 * @param theRepresentation the integer representation of this key
 */
FetchStatsKey(final int theRepresentation) {
    super();
    representation = theRepresentation;
} // constructor

/**
 * A standard <code>get*()</code>. <p>
 * Created (23.10.2001 12:13:51) by Christian Siefkes.<p>
 *
 * @return the value of the attribute
 */
int getRepresentation() {
    return representation;
} // method

    /**
     * Returns a String representation of this object.
     *
     * @return a string representation of this object
     */
    public String toString() {
        return "[FetchStatsKey: representation=" + getRepresentation() + "]";
    }
} // class
